textures/common/caulk
{
	surfaceparm nodraw
    surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/slick
{
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm slick
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

models/mapobjects/nateleaf1/tree2
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/nateleaf1/tree2.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
}

textures/ut_swamp/fog
{
	qer_trans 0.75
	qer_editorimage textures/ut_swamp/swampfog.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm fog
	sort additive
	
	
	fogparms ( 0.807843137254902 0.807843137254902 0.807843137254902 ) 1200

}

textures/ut_swamp/foghull_grey
{
	qer_editorimage textures/ut_swamp/grey/fogsky_up.tga
	surfaceparm nolightmap
	surfaceparm noimpact
	q3map_sun .3 .3 .5 200 65 78
	q3map_surfacelight 75
	q3map_globaltexture
	q3map_lightsubdivide 512
	surfaceparm sky  
	skyparms textures/ut_swamp/grey/fogsky 0 -
}

textures/ut_swamp/swamp_water
{
	qer_editorimage textures/ut_swamp/swamp_water.tga
	tesssize 512
	surfaceparm trans
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm water
	surfaceparm nolightmap
	sort sky
	cull disable
	
	{	
		map textures/ut_swamp/swamp_water.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcmod turb 0.2 0.2 0.2 .2 
	}

	{
		map textures/ut_swamp/swamp_water.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		tcmod turb 0 0.2 2 .2
	}	
	
}

textures/ut_swamp/blueflare
{
    deformvertexes autosprite
    surfaceparm trans
    surfaceparm nomarks
    surfaceparm nolightmap
    cull none
          {
            clampmap textures/ut_swamp/blueflare.tga
            blendfunc gl_one gl_one
          }
}

textures/ut_swamp/grass
{
	q3map_nonplanar
	q3map_shadeangle 80
	{
		map $lightmap
		rgbgen identity
	}
	{
	map textures/ut_swamp/grass.tga
	blendfunc gl_dst_color gl_zero
	rgbgen identity
	}
}

textures/ut_swamp/swamp_ladder
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

textures/ut_swamp/tattered_cloth
{
	qer_editor_image textures/ut_swamp/tattered_cloth.tga
	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm trans
      surfaceparm nomarks
      surfaceparm nonsolid
	surfaceparm noimpact
	cull disable
	{
		map textures/ut_swamp/tattered_cloth.tga
		alphafunc ge128
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/ut_swamp/ut_swampempty
{

	qer_trans 0.40
	surfaceparm nolightmap
	surfaceparm trans
      surfaceparm nomarks
      surfaceparm nonsolid
	surfaceparm noimpact
	surfaceparm nodraw

}

textures/ut_swamp/plainglass
{
	
	surfaceparm nolightmap
	cull disable

	{
		map textures/ut_swamp/plainglass.tga
		tcgen environment
		blendfunc gl_one gl_one
      }
}

textures/urban_terror2/metal_bright
{

	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/urban_terror2/metal_bright.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

